/**
 * @overview Life of German Reallife - Save Main main.js
 * @author VegaZ
 * @copyright (c) 2008 - 2018 Life of German
 */

export default function saveData() {
    var saveBrowser: BrowserMp;

    mp.events.add('saveBlip', () => {

        saveBrowser = mp.browsers.new('package://assets/html/save/blip/index.html');
        mp.gui.chat.activate(false);
        mp.gui.cursor.show(true, true);
    });

    mp.events.add('saveBlipData', (blipSprite, blipName, blipScale, blipColor, blipAlpha, blipDrawDistance, blipShortRange, blipRotation, blipDimension) => {
        if (saveBrowser) {
            saveBrowser.destroy();
        }

        mp.events.callRemote('OnSaveBlipData', blipSprite, blipName, blipScale, blipColor, blipAlpha,
            blipDrawDistance, blipShortRange, blipRotation, blipDimension);
        mp.gui.chat.push(blipShortRange);
        mp.gui.cursor.show(false, false);
        mp.gui.chat.activate(true);
    });

    mp.events.add('cancelData', () => {
        if (saveBrowser) {
            saveBrowser.destroy();
        }
        mp.gui.cursor.show(false, false);
        mp.gui.chat.activate(true);
    });
}